Community
cancel
Showing results for 
Search instead for 
Did you mean: 
idata
Community Manager
2,001 Views

Ubuntu 16.04 - SPI_1 pin assignment

Hi,

I have installed Ubuntu 16.04 on the Joule.

In the datasheet, Section 12.4 it says that "GPIO signals are configured in BIOS for each supported operating system. The default mapping can change with each iteration of the BIOS. Refer to the Intel Joule compute module website for the current default mapping for each supported operating system."

On the expansion board - is the SPI_1 pin assignment still OK? Can I access these pins form Linux userspace?

Thanks

Stev

0 Kudos
4 Replies
idata
Community Manager
63 Views

Hi Stev,

 

 

Thank you for contacting us.

 

 

As far as I know, the pins will be the same if you haven't modify the BIOS. I'm not sure if Ubuntu have the SPI drivers, but you can test these pins and let us know if it works

 

 

Have a nice day.

 

 

Best Regards,

 

-Leonardo
idata
Community Manager
63 Views

Hi Leonardo,

Can I use the mraa library in Ubuntu 16.04? Would that loow you to access the pins on the expansion board?

Stev

idata
Community Manager
63 Views

Hi Stev,

 

 

Yes, it is possible but you have to build it ( https://github.com/intel-iot-devkit/mraa). I also found this thread that can be very helpful for you: https://communities.intel.com/thread/108650 https://communities.intel.com/thread/108650.

 

 

Have a nice day.

 

 

Regards,

 

-Leonardo
FGold
New Contributor II
63 Views

Regarding SPI and UBUNTU,

There is mention that Intel requires an NDA, how do I request the NDA such that I can be provided with additional resources/docs/tools to access SPI for UBUNTU?

Please see: http://askubuntu.com/questions/878445/error-illegal-arguments-for-construction-of-exports-spi?noredi... comment1406687_878445 http://askubuntu.com/questions/878445/error-illegal-arguments-for-construction-of-exports-spi?noredi... comment1406687_878445

"

I'm afraid it's a private bug. The outcome, though, is that Intel has a tool to enable SPI, but is not yet ready to release it without an NDA. You might consider talking to them. – http://askubuntu.com/users/261753/kyle Kyle http://askubuntu.com/questions/878445/error-illegal-arguments-for-construction-of-exports-spi?noredi... comment1401949_878445 Mar 21 at 17:15

"

Reply